LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-21-2010, 07:45 PM   #1
yo11kz
LQ Newbie
 
Registered: Feb 2010
Posts: 3

Rep: Reputation: 0
trying to install RealPlayer11GOLD.rpm


After downloading the installation file {RealPlayer11GOLD.rpm} on my desktop, i entered the command "rpm -ihv realplayer11gold.rpm".
after doing so, i keep on receiving the error message
"error: Failed dependencies:
lsb >= 3.1 is needed by
RealPlayer-11.0.2.1744-20091006.i586
".
please help me out.

Thanks.
 
Old 02-21-2010, 09:11 PM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 19,267

Rep: Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440
Quote:
Originally Posted by yo11kz View Post
After downloading the installation file {RealPlayer11GOLD.rpm} on my desktop, i entered the command "rpm -ihv realplayer11gold.rpm".
after doing so, i keep on receiving the error message
"error: Failed dependencies:
lsb >= 3.1 is needed by
RealPlayer-11.0.2.1744-20091006.i586
".
please help me out.

Thanks.
Ok..install LSB.

Since you don't say what version/distro of Linux, we can't tell you more than that. Most online repositories have it, and you can install it from there.
 
Old 02-21-2010, 09:34 PM   #3
yo11kz
LQ Newbie
 
Registered: Feb 2010
Posts: 3

Original Poster
Rep: Reputation: 0
okay, i am using redhat.
i will try and install lsb like you said, but i am facing another challenge
i am trying to install adobe reader,
rpm -ihv AdbeRdr9.3-1_i486linux_enu.rpm
and i get this error message
"error: Failed dependencies:
libstdc++.so.6(CXXABI_1.3.1) is needed by AdobeReader_enu-9.3-1.i486
libstdc++.so.6(GLIBCXX_3.4.5) is needed by AdobeReader_enu-9.3-1.i486
"


what do you think i should do.
 
Old 02-21-2010, 09:56 PM   #4
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 19,267

Rep: Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440
Quote:
Originally Posted by yo11kz View Post
okay, i am using redhat.
i will try and install lsb like you said, but i am facing another challenge
i am trying to install adobe reader,
rpm -ihv AdbeRdr9.3-1_i486linux_enu.rpm
and i get this error message
"error: Failed dependencies:
libstdc++.so.6(CXXABI_1.3.1) is needed by AdobeReader_enu-9.3-1.i486
libstdc++.so.6(GLIBCXX_3.4.5) is needed by AdobeReader_enu-9.3-1.i486
"


what do you think i should do.
I think you should INSTALL THE MISSING DEPENDENCIES. If you're missing dependencies, that's the only thing you can do, no matter what package you're installing.

And what version of RedHat??? If you've got RHEL, and you're paying for support, you can type in "yum install lsb", etc....
 
Old 02-21-2010, 10:05 PM   #5
yo11kz
LQ Newbie
 
Registered: Feb 2010
Posts: 3

Original Poster
Rep: Reputation: 0
i am not paying for support. and i am using RHCL. i have been trying to search for the dependencies but haven't seen.
What should i do.


Thanks
 
Old 02-21-2010, 11:23 PM   #6
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 19,267

Rep: Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440Reputation: 4440
Quote:
Originally Posted by yo11kz View Post
i am not paying for support. and i am using RHCL. i have been trying to search for the dependencies but haven't seen.
What should i do.
Thanks
What is RHCL?? If you mean RHEL, and you're not paying for support, the online repositories won't be available. You can install them from your installation media, or try to download them from the RedHat website.

Otherwise, install CentOS, or another community-supported repository. Either way, you have no choice but to install the missing packages to continue, period. You say you have searched...where??
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
RealPlayer11GOLD DWShelley Linux - Newbie 2 12-08-2009 07:54 AM
how to install realplayer11gold.lib , realplayer.rpm in redhat linux jeetinder Red Hat 1 07-03-2009 03:36 AM
Realplayer11GOLD And DFX. Pattiwak17 Linux - Newbie 1 04-21-2009 05:26 AM
Howto install realplayer11gold bin file hilton.britten Linux - Software 2 10-14-2008 07:14 AM
How do I force an older rpm to install over a newer rpm of wine onyx Linux - Software 4 02-20-2004 01:44 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 08:44 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration